

\subsection{Neu}

\begin{exampleblock}{Aufgabe}
	Bestimme den finalen Typ und den Wert des Ausdrucks.\\
\end{exampleblock}
\bgroup
\def\arraystretch{2.5}
\begin{tabular}{|p{50mm}|p{50mm}|c|c|}
	\hline 
	Voraussetzung & Ausdruck & Typ & Wert \\ 
	\hline \hline
	\luzidarkemphcode{int x = 5;} & \luzidarkemphcode{x  *  5u}  &   &   \\ 
	\hline 
	\luzidarkemphcode{int x = - 1;} & \luzidarkemphcode{(int) (x*2u) + 3}  &   &   \\ 
	\hline 
	\luzidarkemphcode{-} & \luzidarkemphcode{(int) ('a'-'z')}  &   & \\  
	\hline 
	\luzidarkemphcode{char a = 'D';} & \luzidarkemphcode{(char) (a + 'a' - 'A' + 1)}  &   &   \\  
	\hline 
	\luzidarkemphcode{int a = -4;} & \luzidarkemphcode{a*3.5f}  &   & \\  
	\hline 
	\luzidarkemphcode{unsigned int x = 2;} & \luzidarkemphcode{x * -2 == -4.0}  &   &   \\  
	\hline 
	\luzidarkemphcode{int x = 5} & \luzidarkemphcode{10 /++x}  &   &   \\  
	\hline 
	\luzidarkemphcode{int x = 2; \newline double y = 3; \newline float z;} & \luzidarkemphcode{z = y- -/++x}  &   & \\  
	\hline 
	\luzidarkemphcode{unsigned int i = 0} & \luzidarkemphcode{-9\%2 == - -i}  &   &   \\  
	\hline 
	\luzidarkemphcode{int a = 50} & \luzidarkemphcode{a / 5.0 +\newline  (a++ == 50) + (++a == 51)}  &   &\\  
	\hline 
\end{tabular} 
\egroup

\subsection{D-ITET FS14}
\begin{exampleblock}{Alte Prüfungsaufgabe}
	Bestimme den finalen Typ und den Wert des Ausdrucks.\\
\end{exampleblock}
\bgroup
\def\arraystretch{2.5}
\begin{tabular}{|p{50mm}|p{50mm}|c|c|}
	\hline
	Voraussetzung & Ausdruck & Typ & Wert \\ 
	\hline \hline
	-& \luzidarkemphcode{1 / 4 * 4.0f} &   &  \\ 
	\hline 
	\luzidarkemphcode{int x;}& \luzidarkemphcode{x = 0.9 + 1.0 / 4 * 4} &   &   \\ 
	\hline 
	\luzidarkemphcode{float x;\newline int y = 7; \newline int z = 5;}& \luzidarkemphcode{x = ++ y / --z} &  &   \\ 
	\hline 
	\luzidarkemphcode{int k = 14;  int i =6;}& \luzidarkemphcode{k \% i < k / i} &   &   \\ 
	\hline 
	- & false - true &   &  \\ 
	\hline 
	- & \luzidarkemphcode{1u - 10 > 0} &   &   \\ 
	\hline
\end{tabular} 
\egroup
